padejar padejar - 2 years ago 272
iOS Question

ionic - development team does not support the Associated Domains capability when signing code on iOs

I have a problem when I'm trying to sign the certificate for my ionic iOs platform. The error specifies like this:

enter image description here

I have no idea why the error occurs since my other ionic app project using the same development team works. I've looked in the everywhere but none solved the problem. Does it have anything to do with the plugins installed on my projects?

I'm using XCode 9 beta. Here's my ionic info:
global packages:

@ionic/cli-utils : 1.4.0
Ionic CLI : 3.4.0


local packages:

@ionic/cli-plugin-ionic1 : 2.0.1
Ionic Framework : ionic1 1.3.3


System:

Node : v6.11.0
OS : macOS Sierra
Xcode : Xcode 9.0 Build version 9M136h
ios-deploy : not installed
ios-sim : not installed
npm : 3.10.10


Here the list plugins installed on my project:

com.telerik.plugins.nativepagetransitions 0.6.5 "Native Page Transitions"
cordova-plugin-app-preferences 0.99.3 "AppPreferences"
cordova-plugin-clipboard2 0.1.0 "Clipboard"
cordova-plugin-compat 1.1.0 "Compat"
cordova-plugin-console 1.0.7 "Console"
cordova-plugin-crosswalk-webview 2.3.0 "Crosswalk WebView Engine"
cordova-plugin-device 1.1.6 "Device"
cordova-plugin-facebook4 1.9.1 "Facebook Connect"
cordova-plugin-file 4.3.3 "File"
cordova-plugin-file-transfer 1.6.3 "File Transfer"
cordova-plugin-inappbrowser 1.7.1 "InAppBrowser"
cordova-plugin-network-information 1.3.3 "Network Information"
cordova-plugin-splashscreen 4.0.3 "Splashscreen"
cordova-plugin-statusbar 2.2.3 "StatusBar"
cordova-plugin-whitelist 1.3.2 "Whitelist"
cordova-plugin-x-socialsharing 5.1.8 "SocialSharing"
cordova-plugin-x-toast 2.6.0 "Toast"
cordova-sqlite-storage 2.0.4 "Cordova sqlite storage plugin"
es6-promise-plugin 4.1.0 "Promise"
ionic-plugin-deeplinks 1.0.15 "Ionic Deeplink Plugin"
ionic-plugin-keyboard 2.2.1 "Keyboard"

Answer Source

Nevermind, turns out the 'ionic-plugin-deeplinks' caused the error. I had no idea why, I uninstalled the plugin and then the error resolved.

Recommended from our users: Dynamic Network Monitoring from WhatsUp Gold from IPSwitch. Free Download